Help - Search - Members - Calendar
Full Version: Gtk2 Or Gtk+?
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
ZDevil
Hi,

I added "Depends: gtk2" in the control file of notecase, xpad, etc., trying to follow other package info. But when installing these apps, there is a warning of missing gtk+ in the package list.The gtk package in the feeds shows the name "gtk2" instead of "gtk+". Although the error message doesn't hurt at all, I am just curious of what's wrong here. Thanks!
miskinis
QUOTE(ZDevil @ Sep 2 2006, 02:59 AM)
The gtk package in the feeds shows the name "gtk2" instead of "gtk+".  Although the error message doesn't hurt at all,  I am just curious of what's wrong here.


The original and older (1.0-1.3) releases of the gimp toolkit were known as GTK+, whereas
GTK+ was "overhauled" and GTK+ version 2 was created. I believe the idea was to
call it gtk2 in distributions to provide a clear distinction.

So perhaps the packages that use it are really linked to gtk2, but you have both versions
on your system, so you do not encounter errors when running the apps.

John
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.